Summary:	Unicode PostScript C++ stream output intetface library
Summary(pl.UTF-8):	Biblioteka wyjścia strumieniowego C++ do PostScriptu z Unikodem
Name:		libLASi
Version:	1.1.3
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/lasi/%{name}-%{version}.tar.gz
# Source0-md5:	eb62ccbbbaf681b9e50617a2f48e6347
Patch0:		%{name}-skip-examples-build.patch
URL:		http://lasi.sourceforge.net/
BuildRequires:	cmake >= 3.13.2
# libtool version >= 9.10 ("new API")
BuildRequires:	freetype-devel >= 1:2.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	pango-devel
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	freetype >= 1:2.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libLASi is library that provides a C++ stream output interface (with
operator <<) for creating PostScript documents that can contain
characters from any of the script and symbol blocks supported in
Unicode and by the Pango layout engine.

%description -l pl.UTF-8
libLASi to biblioteka udostępniająca interfejs wyjścia strumieniowego
C++ (przy użyciu operatora <<) do tworzenia dokumentów w PostScripcie
zawierających znaki z dowolnego alfabetu oraz bloki symboli
obsługiwane przez Unikod i silnik Pango.

%package devel
Summary:	Header files for libLASi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libLASi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel >= 1:2.2.1
Requires:	libstdc++-devel
Requires:	pango-devel

%description devel
Header files for libLASi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libLASi.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
# cmake suite doesn't accept "PLD" build type, use "Release"
%cmake .. \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_CXX_FLAGS_RELEASE="%{rpmcxxflags} -DNDEBUG" \
	-DUSE_RPATH=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog.* NEWS README README.cumulated_release
%attr(755,root,root) %{_libdir}/libLASi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libLASi.so.2

%files devel
%defattr(644,root,root,755)
%doc doc/developer doc/user
%attr(755,root,root) %{_libdir}/libLASi.so
%{_includedir}/LASi.h
%{_pkgconfigdir}/lasi.pc
%changelog
* Wed Oct 30 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libLASi.git;a=log;h=master

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 9ac8129
- updated to 1.1.3 (note: new soname)
- added skip-examples-build patch (no need to build examples, useless and requires inkscape)

* Tue Jul 21 2015 Jakub Bogusz <qboosh@pld-linux.org> d2133bb
- updated to 1.1.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7647bbc
- x32 rebuild
- release 3 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> 6a87968
- we package docs in rpm install

* Sat Sep 13 2014 Jakub Bogusz <qboosh@pld-linux.org> f022a17
- more specific freetype dependencies

* Thu Jul 19 2012 Łukasz Kieś <kiesiu@pld-linux.org> 46d349e
- rel. 2

* Fri Sep 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 2024c25
- updated to 1.1.1

* Thu Jul 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b142e6
- new

